<script lang="ts" setup>
import { defineAsyncComponent } from 'vue';

const AppMenu = defineAsyncComponent(() => import('@/widgets/app-menu'));
</script>

<template>
  <div class="default-layout">
    <div class="app-menu-container">
      <AppMenu />
    </div>
    <div class="content">
      <slot />
    </div>
  </div>
</template>

<style lang="scss" scoped>
.app-menu-container {
  display: flex;
  flex-shrink: 0;
  width: var(--app-menu-width);
  height: 100%;
  border-top-left-radius: var(--app-border-radius);
  border-right: 1px #c1c7d0 solid;
  background-color: var(--j-app-bg);
}

.default-layout {
  display: flex;
  padding: 8px 8px 0 8px;
  height: 100vh;
  background-color: var(--j-primary-active-color);
}

.content {
  width: 100%;
  border-top-right-radius: var(--app-border-radius);
  overflow: hidden;
}
</style>
